net.i2p.router.startup

## Class MigrateJetty

- java.lang.Object
- - net.i2p.router.startup.MigrateJetty

-     abstract class MigrateJetty
      extends Object

  Second migration, as of 2.9.0:

  Migrate all the jetty*.xml files to change Ref id= to Ref refid= because dup ids is a fatal error. Also migrate the old configure.dtd to configure_9_3.dtd. Reference: https://github.com/jetty/jetty.project/issues/12881

  First migration, as of 0.9.30:

  Migrate the clients.config and jetty.xml files from Jetty 5/6 to Jetty 7/8. Also migrate jetty.xml from Jetty 7/8 to Jetty 9. For each client for class org.mortbay.jetty.Server:

        Let $D be the dir that jetty.xml is in (usually ~/.i2p/eepsite)
        Saves $D/jetty.xml to $D/jetty6.xml
        Copies $I2P/eepsite-jetty7/jetty.xml to $D/jetty.xml, edited for $D
        Copies $I2P/eepsite-jetty7/jetty-ssl.xml to $D/jetty-ssl.xml, edited for $D
        Copies $I2P/eepsite-jetty7/jetty-rewrite.xml to $D/jetty-rewrite.xml
        Copies $I2P/eepsite-jetty7/context/base-context.xml to $D/jetty.xml, edited for $D
        Copies $I2P/eepsite-jetty7/context/cgi-context.xml to $D/jetty.xml, edited for $D
        Copies $I2P/eepsite-jetty7/etc/* to $D/etc
        Changes main class in clients.config

  Copies clients.config to clients.config.jetty6; Saves new clients.config. Does NOT preserve port number, thread counts, etc. in the migration to 7/8. DOES preserve everything in the migration to 9.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateJetty()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `migrate(RouterContext ctx, List<ClientAppConfig> apps)` For each entry in apps, if the main class is an old Jetty class, migrate it to the new Jetty class, and update the Jetty config files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrateJetty

          MigrateJetty()

  - ### Method Detail

    - #### migrate

          public static void migrate(RouterContext ctx,
                                     List<ClientAppConfig> apps)

      For each entry in apps, if the main class is an old Jetty class, migrate it to the new Jetty class, and update the Jetty config files.